Package org.springframework.jdbc.core.metadata

# Class TableParameterMetaData

java.lang.Object
org.springframework.jdbc.core.metadata.TableParameterMetaData

public class TableParameterMetaData extends Object
Holder of meta-data for a specific parameter that is used for table processing.

Since:
  2.5
Author:
  Thomas Risberg
See Also:
  - `GenericTableMetaDataProvider`

## Constructor Summary

Constructors
Constructor
Description
`TableParameterMetaData(String columnName, int sqlType, boolean nullable)`
Constructor taking all the properties.

## Method Summary

Modifier and Type
Method
Description
`String`
`getParameterName()`
Get the parameter name.
`int`
`getSqlType()`
Get the parameter SQL type.
`boolean`
`isNullable()`
Get whether the parameter/column is nullable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableParameterMetaData

public TableParameterMetaData(String columnName, int sqlType, boolean nullable)
Constructor taking all the properties.

## Method Details

### getParameterName

public String getParameterName()
Get the parameter name.

### getSqlType

public int getSqlType()
Get the parameter SQL type.

### isNullable

public boolean isNullable()
Get whether the parameter/column is nullable.